#include<iostream>
#include<stdio.h>
using namespace std;
int main(){
	long long Suma,d=0,c;
	scanf("%lld",&Suma);
	while(Suma>0){
		c=Suma%10;
		switch(c){
		case 1:case 2:case 5: d++;break;
		case 8:case 9: d+=3;break;
		case 3:case 4:case 6:case 7: d+=2;break;
	}
	Suma=Suma/10;
}
	printf("%lld",d);
	return 0;
}